JsonCpp project page | JsonCpp home page

Classes | Namespaces | Macros | Enumerations | Functions
value.h File Reference
`#include "forwards.h"`
`#include <string>`
`#include <vector>`
`#include <exception>`
`#include <map>`
Include dependency graph for value.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Json::Exception
| Base class for all exceptions we throw. More...
class | Json::RuntimeError
| Exceptions which the user cannot easily avoid. More...
class | Json::LogicError
| Exceptions thrown by JSON_ASSERT/JSON_FAIL macros. More...
class | Json::StaticString
| Lightweight wrapper to tag static string. More...
class | Json::Value
| Represents a JSON value. More...
class | Json::PathArgument
| Experimental and untested: represents an element of the "path" to access a node. More...
class | Json::Path
| Experimental and untested: represents a "path" to access a node. More...
class | Json::ValueIteratorBase
| base class for Value iterators. More...
class | Json::ValueConstIterator
| const iterator for object and array value. More...
class | Json::ValueIterator
| Iterator for object and array value. More...

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Macros
#define | JSONCPP_NORETURN __declspec(noreturn)

## Enumerations
enum | Json::ValueType { Json::nullValue = 0, Json::intValue, Json::uintValue, Json::realValue, Json::stringValue, Json::booleanValue, Json::arrayValue, Json::objectValue }
| used internally More...
enum | Json::CommentPlacement { Json::commentBefore = 0, Json::commentAfterOnSameLine, Json::commentAfter, Json::numberOfCommentPlacement }

## Functions
template<>
void | std::swap (Json::Value &a, Json::Value &b)
| Specialize std::swap() for Json::Value. More...

## Macro Definition Documentation

## ◆ JSONCPP_NORETURN

#define JSONCPP_NORETURN __declspec(noreturn)

Definition at line 30 of file value.h.

Referenced by Json::__declspec().

## Function Documentation

## ◆ swap()

template<>

void std::swap | ( | Json::Value & | a,
|  | Json::Value & | b
| ) |  |
| inline

Specialize std::swap() for Json::Value.

Definition at line 878 of file value.h.

References Json::Value::swap(), and std::swap().

Referenced by std::swap().

Here is the caller graph for this function: